Bug 168355 - deskutils/xfce4-notification-daemon broken (several versions)
Summary: deskutils/xfce4-notification-daemon broken (several versions)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Emanuel Haupt
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-05-27 00:30 UTC by freebsd
Modified: 2012-05-29 15:40 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description freebsd 2012-05-27 00:30:06 UTC
Cannot install deskutils/xfce4-notification-daemon from ports, going back several versions. Always have to use the package. Tried installing with all possible `make config` combinations, no change. This is the only port out of 500 that fails. Nothing interesting in /etc/make.conf, problem also exists with an empty one. All ports are up-to-date as of today.

[/usr/ports/deskutils/xfce4-notification-daemon] # make
===>  License GPLv2 accepted by the user
===>  Found saved configuration for xfce4-notification-daemon-0.3.7_15
===>  Extracting for xfce4-notification-daemon-0.3.7_15
=> SHA256 Checksum OK for xfce4/notification-daemon-xfce-0.3.7.tar.bz2.
===>  Patching for xfce4-notification-daemon-0.3.7_15
===>  Applying FreeBSD patches for xfce4-notification-daemon-0.3.7_15
===>   xfce4-notification-daemon-0.3.7_15 depends on file: /usr/local/lib/perl5/site_perl/5.12.4/mach/XML/Parser.pm - found
===>   xfce4-notification-daemon-0.3.7_15 depends on executable: gmake - found
===>   xfce4-notification-daemon-0.3.7_15 depends on file: /usr/local/bin/intltool-extract - found
===>   xfce4-notification-daemon-0.3.7_15 depends on executable: pkg-config - found
===>   xfce4-notification-daemon-0.3.7_15 depends on executable: gtk-update-icon-cache - found
===>   xfce4-notification-daemon-0.3.7_15 depends on package: libxfce4util>=4.10.0 - found
===>   xfce4-notification-daemon-0.3.7_15 depends on package: libxfce4gui>=4.10.0 - found
===>   xfce4-notification-daemon-0.3.7_15 depends on shared library: sexy.2 - found
===>   xfce4-notification-daemon-0.3.7_15 depends on shared library: dbus-glib-1.2 - found
===>   xfce4-notification-daemon-0.3.7_15 depends on shared library: intl - found
===>   xfce4-notification-daemon-0.3.7_15 depends on shared library: atk-1.0.0 - found
===>   xfce4-notification-daemon-0.3.7_15 depends on shared library: gdk_pixbuf-2.0.0 - found
===>   xfce4-notification-daemon-0.3.7_15 depends on shared library: glib-2.0.0 - found
===>   xfce4-notification-daemon-0.3.7_15 depends on shared library: gtk-x11-2.0.0 - found
===>   xfce4-notification-daemon-0.3.7_15 depends on shared library: gsf-1.114 - found
===>   xfce4-notification-daemon-0.3.7_15 depends on shared library: rsvg-2.2 - found
===>   xfce4-notification-daemon-0.3.7_15 depends on shared library: xml2.5 - found
===>   xfce4-notification-daemon-0.3.7_15 depends on shared library: pango-1.0.0 - found
===>  Configuring for xfce4-notification-daemon-0.3.7_15
checking for a BSD-compatible install... /usr/bin/install -c -o root -g wheel
checking whether build environment is sane... yes
checking for a thread-safe mkdir -p... ./install-sh -c -d
checking for gawk... (cached) /usr/bin/awk
checking whether gmake sets $(MAKE)... yes
checking how to create a ustar tar archive... gnutar
checking whether to enable maintainer-specific portions of Makefiles... no
checking for gcc... cc
checking for C compiler default output file name... a.out
checking whether the C compiler works... yes
checking whether we are cross compiling... no
checking for suffix of executables... 
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether cc accepts -g... yes
checking for cc option to accept ISO C89... none needed
checking for style of include used by gmake... GNU
checking dependency style of cc... gcc3
checking for a BSD-compatible install... /usr/bin/install -c -o root -g wheel
checking build system type... amd64-portbld-freebsd9.0
checking host system type... amd64-portbld-freebsd9.0
checking for a sed that does not truncate output... /usr/bin/sed
checking for grep that handles long lines and -e... /usr/bin/grep
checking for egrep... /usr/bin/grep -E
checking for ld used by cc... /usr/bin/ld
checking if the linker (/usr/bin/ld) is GNU ld... yes
checking for /usr/bin/ld option to reload object files... -r
checking for BSD-compatible nm... /usr/bin/nm -B
checking whether ln -s works... yes
checking how to recognise dependent libraries... pass_all
checking how to run the C preprocessor... cpp
checking for ANSI C header files... yes
checking for sys/types.h... yes
checking for sys/stat.h... yes
checking for stdlib.h... yes
checking for string.h... yes
checking for memory.h... yes
checking for strings.h... yes
checking for inttypes.h... yes
checking for stdint.h... yes
checking for unistd.h... yes
checking dlfcn.h usability... yes
checking dlfcn.h presence... yes
checking for dlfcn.h... yes
checking whether we are using the GNU C++ compiler... yes
checking whether c++ accepts -g... yes
checking dependency style of c++... gcc3
checking how to run the C++ preprocessor... c++ -E
checking for g77... no
checking for xlf... no
checking for f77... no
checking for frt... no
checking for pgf77... no
checking for cf77... no
checking for fort77... no
checking for fl32... no
checking for af77... no
checking for xlf90... no
checking for f90... no
checking for pgf90... no
checking for pghpf... no
checking for epcf90... no
checking for gfortran... no
checking for g95... no
checking for xlf95... no
checking for f95... no
checking for fort... no
checking for ifort... no
checking for ifc... no
checking for efc... no
checking for pgf95... no
checking for lf95... no
checking for ftn... no
checking whether we are using the GNU Fortran 77 compiler... no
checking whether  accepts -g... no
checking the maximum length of command line arguments... (cached) 262144
checking command to parse /usr/bin/nm -B output from cc object... ok
checking for objdir... .libs
checking for ar... ar
checking for ranlib... ranlib
checking for strip... strip
checking if cc supports -fno-rtti -fno-exceptions... no
checking for cc option to produce PIC... -fPIC
checking if cc PIC flag -fPIC works... yes
checking if cc static flag -static works... yes
checking if cc supports -c -o file.o... yes
checking whether the cc linker (/usr/bin/ld) supports shared libraries... yes
checking whether -lc should be explicitly linked in... no
checking dynamic linker characteristics... freebsd9.0 ld.so
checking how to hardcode library paths into programs... immediate
checking whether stripping libraries is possible... yes
checking if libtool supports shared libraries... yes
checking whether to build shared libraries... yes
checking whether to build static libraries... yes
configure: creating libtool
appending configuration tag "CXX" to libtool
checking for ld used by c++... /usr/bin/ld
checking if the linker (/usr/bin/ld) is GNU ld... yes
checking whether the c++ linker (/usr/bin/ld) supports shared libraries... yes
checking for c++ option to produce PIC... -fPIC
checking if c++ PIC flag -fPIC works... yes
checking if c++ static flag -static works... yes
checking if c++ supports -c -o file.o... yes
checking whether the c++ linker (/usr/bin/ld) supports shared libraries... yes
checking dynamic linker characteristics... freebsd9.0 ld.so
checking how to hardcode library paths into programs... immediate
appending configuration tag "F77" to libtool
checking for perl... /usr/bin/perl
checking for XML::Parser... ok
checking for iconv... /usr/local/bin/iconv
checking for msgfmt... /usr/local/bin/msgfmt
checking for msgmerge... /usr/local/bin/msgmerge
checking for xgettext... /usr/local/bin/xgettext
checking for ANSI C header files... (cached) yes
checking for stdlib.h... (cached) yes
checking errno.h usability... yes
checking errno.h presence... yes
checking for errno.h... yes
checking for string.h... (cached) yes
checking stdio.h usability... yes
checking stdio.h presence... yes
checking for stdio.h... yes
checking locale.h usability... yes
checking locale.h presence... yes
checking for locale.h... yes
checking for LC_MESSAGES... yes
checking libintl.h usability... yes
checking libintl.h presence... yes
checking for libintl.h... yes
checking for ngettext in libc... no
checking for bindtextdomain in -lintl... yes
checking for ngettext in -lintl... yes
checking for dgettext in -lintl... yes
checking for bind_textdomain_codeset... yes
checking for msgfmt... /usr/local/bin/msgfmt
checking for dcgettext... yes
checking if msgfmt accepts -c... yes
checking for gmsgfmt... /usr/local/bin/msgfmt
checking for xgettext... /usr/local/bin/xgettext
checking for catalogs to be installed...  be en_GB fr hu nl pl uk
checking for bind_textdomain_codeset... (cached) yes
checking for locales directory... ${datarootdir}/locale
checking for additional xgettext flags... --keyword=Q_ --from-code=UTF-8
checking for pkg-config... /usr/local/bin/pkg-config
checking for pkg-config >= 0.9.0... 0.25
checking for gthread-2.0 >= 2.6.0... 2.28.8
checking GTHREAD_CFLAGS... -D_REENTRANT -I/usr/local/include/glib-2.0  
checking GTHREAD_LIBS... -pthread -L/usr/local/lib -lgthread-2.0 -lglib-2.0  
checking for gtk+-2.0 >= 2.6.0... 2.24.6
checking GTK_CFLAGS... -D_THREAD_SAFE -D_REENTRANT -I/usr/local/include/gtk-2.0 -I/usr/local/include/atk-1.0 -I/usr/local/include/cairo -I/usr/local/include/gdk-pixbuf-2.0 -I/usr/local/include/pango-1.0 -I/usr/local/include/gio-unix-2.0/ -I/usr/local/include -I/usr/local/include/glib-2.0 -I/usr/local/include/pixman-1 -I/usr/local/include/freetype2 -I/usr/local/include/libpng  
checking GTK_LIBS... -pthread -L/usr/local/lib -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lpangocairo-1.0 -lXext -lXrender -lXinerama -lXi -lXrandr -lXcursor -lXcomposite -lXdamage -lgdk_pixbuf-2.0 -lpangoft2-1.0 -lgio-2.0 -lXfixes -lcairo -lX11 -lpango-1.0 -lm -lfreetype -lfontconfig -lgobject-2.0 -lgmodule-2.0 -lgthread-2.0 -lglib-2.0  
checking for libxfce4util-1.0 >= 4.3.90... 4.10.0
checking LIBXFCE4UTIL_CFLAGS... -I/usr/local/include/xfce4 -I/usr/local/include/glib-2.0  
checking LIBXFCE4UTIL_LIBS... -L/usr/local/lib -lxfce4util -lglib-2.0  
checking for libxfcegui4-1.0 >= 4.3.90... 4.10.0
checking LIBXFCEGUI4_CFLAGS... -D_THREAD_SAFE -D_REENTRANT -I/usr/local/include -I/usr/local/include/xfce4 -I/usr/local/include/gtk-2.0 -I/usr/local/include/pango-1.0 -I/usr/local/include/gio-unix-2.0/ -I/usr/local/include/gdk-pixbuf-2.0 -I/usr/local/include/cairo -I/usr/local/include/glib-2.0 -I/usr/local/include/pixman-1 -I/usr/local/include/freetype2 -I/usr/local/include/libpng -I/usr/local/include/atk-1.0  
checking LIBXFCEGUI4_LIBS... -pthread -L/usr/local/lib -lxfcegui4 -lgtk-x11-2.0 -lxfce4util -lgdk-x11-2.0 -latk-1.0 -lpangocairo-1.0 -lXext -lXrender -lXinerama -lXi -lXrandr -lXcursor -lXcomposite -lXdamage -lgdk_pixbuf-2.0 -lpangoft2-1.0 -lgio-2.0 -lXfixes -lcairo -lX11 -lpango-1.0 -lm -lfreetype -lfontconfig -lgobject-2.0 -lgmodule-2.0 -lgthread-2.0 -lglib-2.0  
checking for dbus-glib-1 >= 0.36... 0.94
checking DBUS_GLIB_CFLAGS... -D_REENTRANT -I/usr/local/include/dbus-1.0 -I/usr/local/include/dbus-1.0/include -I/usr/local/include/glib-2.0  
checking DBUS_GLIB_LIBS... -pthread -L/usr/local/lib -ldbus-glib-1 -ldbus-1 -lgobject-2.0 -lgthread-2.0 -lglib-2.0  
checking for dbus-1 >= 0.36... 1.4.14
checking DBUS_CFLAGS... -I/usr/local/include/dbus-1.0 -I/usr/local/include/dbus-1.0/include  
checking DBUS_LIBS... -pthread -L/usr/local/lib -ldbus-1  
checking for libsexy >= 0.1.3... 0.1.11
checking LIBSEXY_CFLAGS... -D_REENTRANT -D_THREAD_SAFE -I/usr/local/include -I/usr/local/include/pango-1.0 -I/usr/local/include/glib-2.0 -I/usr/local/include/gtk-2.0 -I/usr/local/lib/gtk-2.0/include -I/usr/local/include/atk-1.0 -I/usr/local/include/cairo -I/usr/local/include/gdk-pixbuf-2.0 -I/usr/local/include/gio-unix-2.0/ -I/usr/local/include/pixman-1 -I/usr/local/include/freetype2 -I/usr/local/include/libpng -I/usr/local/include/libxml2  
checking LIBSEXY_LIBS... -pthread -L/usr/local/lib -lsexy -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lpangocairo-1.0 -lXext -lXrender -lXinerama -lXi -lXrandr -lXcursor -lXcomposite -lXdamage -lgdk_pixbuf-2.0 -lpangoft2-1.0 -lgio-2.0 -lXfixes -lcairo -lX11 -lpango-1.0 -lm -lfreetype -lfontconfig -lgobject-2.0 -lgmodule-2.0 -lgthread-2.0 -lglib-2.0 -lxml2  
checking for optional package xfce-mcs-manager >= 4.2.2... not found
checking for libnotify >= 0.4.0... 0.7.3
checking LIBNOTIFY_CFLAGS... -D_REENTRANT -I/usr/local/include -I/usr/local/include/gdk-pixbuf-2.0 -I/usr/local/include/glib-2.0 -I/usr/local/include/libpng  
checking LIBNOTIFY_LIBS... -pthread -L/usr/local/lib -lnotify -lgdk_pixbuf-2.0 -lm -lgio-2.0 -lgobject-2.0 -lgmodule-2.0 -lgthread-2.0 -lglib-2.0  
checking whether to show the close button in default theme... yes
checking whether to show a gradient look in the default theme... no
checking whether to build with debugging support... no
configure: creating ./config.status
config.status: creating Makefile
config.status: creating po/Makefile.in
config.status: creating src/Makefile
config.status: creating src/daemon/Makefile
config.status: creating src/settings/Makefile
config.status: creating src/themes/Makefile
config.status: creating src/themes/bubble/Makefile
config.status: creating src/themes/standard/Makefile
config.status: creating icons/Makefile
config.status: creating icons/22x22/Makefile
config.status: creating icons/48x48/Makefile
config.status: creating config.h
config.status: executing depfiles commands
config.status: executing intltool commands
config.status: executing default-1 commands
config.status: executing po/stamp-it commands

Build Configuration:

* Xfce Settings Manager Wrapper:      no
* Preview in Settings Dialog:         yes
* Show Close Button:                  yes
* Gradient Look:                      no
* Debug Support:                      no

===>  Building for xfce4-notification-daemon-0.3.7_15
gmake  all-recursive
gmake[1]: Entering directory `/staging/usr/ports/deskutils/xfce4-notification-daemon/work/notification-daemon-xfce-0.3.7'
Making all in po
gmake[2]: Entering directory `/staging/usr/ports/deskutils/xfce4-notification-daemon/work/notification-daemon-xfce-0.3.7/po'
file=`echo be | sed 's,.*/,,'`.gmo \
  && rm -f $file && /usr/local/bin/msgfmt -o $file be.po
file=`echo en_GB | sed 's,.*/,,'`.gmo \
  && rm -f $file && /usr/local/bin/msgfmt -o $file en_GB.po
file=`echo fr | sed 's,.*/,,'`.gmo \
  && rm -f $file && /usr/local/bin/msgfmt -o $file fr.po
file=`echo hu | sed 's,.*/,,'`.gmo \
  && rm -f $file && /usr/local/bin/msgfmt -o $file hu.po
file=`echo nl | sed 's,.*/,,'`.gmo \
  && rm -f $file && /usr/local/bin/msgfmt -o $file nl.po
file=`echo pl | sed 's,.*/,,'`.gmo \
  && rm -f $file && /usr/local/bin/msgfmt -o $file pl.po
file=`echo uk | sed 's,.*/,,'`.gmo \
  && rm -f $file && /usr/local/bin/msgfmt -o $file uk.po
gmake[2]: Leaving directory `/staging/usr/ports/deskutils/xfce4-notification-daemon/work/notification-daemon-xfce-0.3.7/po'
Making all in src
gmake[2]: Entering directory `/staging/usr/ports/deskutils/xfce4-notification-daemon/work/notification-daemon-xfce-0.3.7/src'
Making all in daemon
gmake[3]: Entering directory `/staging/usr/ports/deskutils/xfce4-notification-daemon/work/notification-daemon-xfce-0.3.7/src/daemon'
dbus-binding-tool						\
	--mode=glib-server					\
	--prefix=notification_daemon_xfce			\
	./notificationdaemon.xml > notificationdaemon-dbus-glue.h
gmake  all-am
gmake[4]: Entering directory `/staging/usr/ports/deskutils/xfce4-notification-daemon/work/notification-daemon-xfce-0.3.7/src/daemon'
cc -DHAVE_CONFIG_H -I. -I../.. -I../.. -DDBUS_API_SUBJECT_TO_CHANGE -DG_LOG_DOMAIN=\"notification-daemon-xfce\" -DENGINES_DIR=\"/usr/local/lib/xfce4/notification-daemon-xfce/engines\"  -I/usr/local/include -L/usr/local/lib -D_THREAD_SAFE -D_REENTRANT -I/usr/local/include/gtk-2.0 -I/usr/local/include/atk-1.0 -I/usr/local/include/cairo -I/usr/local/include/gdk-pixbuf-2.0 -I/usr/local/include/pango-1.0 -I/usr/local/include/gio-unix-2.0/ -I/usr/local/include -I/usr/local/include/glib-2.0 -I/usr/local/include/pixman-1 -I/usr/local/include/freetype2 -I/usr/local/include/libpng   -D_THREAD_SAFE -D_REENTRANT -I/usr/local/include -I/usr/local/include/xfce4 -I/usr/local/include/gtk-2.0 -I/usr/local/include/pango-1.0 -I/usr/local/include/gio-unix-2.0/ -I/usr/local/include/gdk-pixbuf-2.0 -I/usr/local/include/cairo -I/usr/local/include/glib-2.0 -I/usr/local/include/pixman-1 -I/usr/local/include/freetype2 -I/usr/local/include/libpng -I/usr/local/include/atk-1.0   -I/usr/local/include/xfce4 -I/usr/
 local/include/glib-2.0   -I/usr/local/include/dbus-1.0 -I/usr/local/include/dbus-1.0/include   -D_REENTRANT -I/usr/local/include/dbus-1.0 -I/usr/local/include/dbus-1.0/include -I/usr/local/include/glib-2.0   -O2 -pipe -march=native -fno-strict-aliasing -MT notification_daemon_xfce-daemon.o -MD -MP -MF .deps/notification_daemon_xfce-daemon.Tpo -c -o notification_daemon_xfce-daemon.o `test -f 'daemon.c' || echo './'`daemon.c
cc -DHAVE_CONFIG_H -I. -I../.. -I../.. -DDBUS_API_SUBJECT_TO_CHANGE -DG_LOG_DOMAIN=\"notification-daemon-xfce\" -DENGINES_DIR=\"/usr/local/lib/xfce4/notification-daemon-xfce/engines\"  -I/usr/local/include -L/usr/local/lib -D_THREAD_SAFE -D_REENTRANT -I/usr/local/include/gtk-2.0 -I/usr/local/include/atk-1.0 -I/usr/local/include/cairo -I/usr/local/include/gdk-pixbuf-2.0 -I/usr/local/include/pango-1.0 -I/usr/local/include/gio-unix-2.0/ -I/usr/local/include -I/usr/local/include/glib-2.0 -I/usr/local/include/pixman-1 -I/usr/local/include/freetype2 -I/usr/local/include/libpng   -D_THREAD_SAFE -D_REENTRANT -I/usr/local/include -I/usr/local/include/xfce4 -I/usr/local/include/gtk-2.0 -I/usr/local/include/pango-1.0 -I/usr/local/include/gio-unix-2.0/ -I/usr/local/include/gdk-pixbuf-2.0 -I/usr/local/include/cairo -I/usr/local/include/glib-2.0 -I/usr/local/include/pixman-1 -I/usr/local/include/freetype2 -I/usr/local/include/libpng -I/usr/local/include/atk-1.0   -I/usr/local/include/xfce4 -I/usr/
 local/include/glib-2.0   -I/usr/local/include/dbus-1.0 -I/usr/local/include/dbus-1.0/include   -D_REENTRANT -I/usr/local/include/dbus-1.0 -I/usr/local/include/dbus-1.0/include -I/usr/local/include/glib-2.0   -O2 -pipe -march=native -fno-strict-aliasing -MT notification_daemon_xfce-engines.o -MD -MP -MF .deps/notification_daemon_xfce-engines.Tpo -c -o notification_daemon_xfce-engines.o `test -f 'engines.c' || echo './'`engines.c
cc -DHAVE_CONFIG_H -I. -I../.. -I../.. -DDBUS_API_SUBJECT_TO_CHANGE -DG_LOG_DOMAIN=\"notification-daemon-xfce\" -DENGINES_DIR=\"/usr/local/lib/xfce4/notification-daemon-xfce/engines\"  -I/usr/local/include -L/usr/local/lib -D_THREAD_SAFE -D_REENTRANT -I/usr/local/include/gtk-2.0 -I/usr/local/include/atk-1.0 -I/usr/local/include/cairo -I/usr/local/include/gdk-pixbuf-2.0 -I/usr/local/include/pango-1.0 -I/usr/local/include/gio-unix-2.0/ -I/usr/local/include -I/usr/local/include/glib-2.0 -I/usr/local/include/pixman-1 -I/usr/local/include/freetype2 -I/usr/local/include/libpng   -D_THREAD_SAFE -D_REENTRANT -I/usr/local/include -I/usr/local/include/xfce4 -I/usr/local/include/gtk-2.0 -I/usr/local/include/pango-1.0 -I/usr/local/include/gio-unix-2.0/ -I/usr/local/include/gdk-pixbuf-2.0 -I/usr/local/include/cairo -I/usr/local/include/glib-2.0 -I/usr/local/include/pixman-1 -I/usr/local/include/freetype2 -I/usr/local/include/libpng -I/usr/local/include/atk-1.0   -I/usr/local/include/xfce4 -I/usr/
 local/include/glib-2.0   -I/usr/local/include/dbus-1.0 -I/usr/local/include/dbus-1.0/include   -D_REENTRANT -I/usr/local/include/dbus-1.0 -I/usr/local/include/dbus-1.0/include -I/usr/local/include/glib-2.0   -O2 -pipe -march=native -fno-strict-aliasing -MT notification_daemon_xfce-stack.o -MD -MP -MF .deps/notification_daemon_xfce-stack.Tpo -c -o notification_daemon_xfce-stack.o `test -f 'stack.c' || echo './'`stack.c
mv -f .deps/notification_daemon_xfce-engines.Tpo .deps/notification_daemon_xfce-engines.Po
mv -f .deps/notification_daemon_xfce-stack.Tpo .deps/notification_daemon_xfce-stack.Po
mv -f .deps/notification_daemon_xfce-daemon.Tpo .deps/notification_daemon_xfce-daemon.Po
/bin/sh ../../libtool --tag=CC   --mode=link cc -D_THREAD_SAFE -D_REENTRANT -I/usr/local/include/gtk-2.0 -I/usr/local/include/atk-1.0 -I/usr/local/include/cairo -I/usr/local/include/gdk-pixbuf-2.0 -I/usr/local/include/pango-1.0 -I/usr/local/include/gio-unix-2.0/ -I/usr/local/include -I/usr/local/include/glib-2.0 -I/usr/local/include/pixman-1 -I/usr/local/include/freetype2 -I/usr/local/include/libpng   -D_THREAD_SAFE -D_REENTRANT -I/usr/local/include -I/usr/local/include/xfce4 -I/usr/local/include/gtk-2.0 -I/usr/local/include/pango-1.0 -I/usr/local/include/gio-unix-2.0/ -I/usr/local/include/gdk-pixbuf-2.0 -I/usr/local/include/cairo -I/usr/local/include/glib-2.0 -I/usr/local/include/pixman-1 -I/usr/local/include/freetype2 -I/usr/local/include/libpng -I/usr/local/include/atk-1.0   -I/usr/local/include/xfce4 -I/usr/local/include/glib-2.0   -I/usr/local/include/dbus-1.0 -I/usr/local/include/dbus-1.0/include   -D_REENTRANT -I/usr/local/include/dbus-1.0 -I/usr/local/include/dbus-1.0/include
  -I/usr/local/include/glib-2.0   -O2 -pipe -march=native -fno-strict-aliasing   -o notification-daemon-xfce notification_daemon_xfce-daemon.o notification_daemon_xfce-engines.o notification_daemon_xfce-stack.o -pthread -L/usr/local/lib -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lpangocairo-1.0 -lXext -lXrender -lXinerama -lXi -lXrandr -lXcursor -lXcomposite -lXdamage -lgdk_pixbuf-2.0 -lpangoft2-1.0 -lgio-2.0 -lXfixes -lcairo -lX11 -lpango-1.0 -lm -lfreetype -lfontconfig -lgobject-2.0 -lgmodule-2.0 -lgthread-2.0 -lglib-2.0   -pthread -L/usr/local/lib -lxfcegui4 -lgtk-x11-2.0 -lxfce4util -lgdk-x11-2.0 -latk-1.0 -lpangocairo-1.0 -lXext -lXrender -lXinerama -lXi -lXrandr -lXcursor -lXcomposite -lXdamage -lgdk_pixbuf-2.0 -lpangoft2-1.0 -lgio-2.0 -lXfixes -lcairo -lX11 -lpango-1.0 -lm -lfreetype -lfontconfig -lgobject-2.0 -lgmodule-2.0 -lgthread-2.0 -lglib-2.0   -L/usr/local/lib -lxfce4util -lglib-2.0   -pthread -L/usr/local/lib -ldbus-1   -pthread -L/usr/local/lib -ldbus-glib-1 -ldbus-1 -lgo
 bject-2.0 -lgthread-2.0 -lglib-2.0   
mkdir .libs
cc -D_THREAD_SAFE -D_REENTRANT -I/usr/local/include/gtk-2.0 -I/usr/local/include/atk-1.0 -I/usr/local/include/cairo -I/usr/local/include/gdk-pixbuf-2.0 -I/usr/local/include/pango-1.0 -I/usr/local/include/gio-unix-2.0/ -I/usr/local/include -I/usr/local/include/glib-2.0 -I/usr/local/include/pixman-1 -I/usr/local/include/freetype2 -I/usr/local/include/libpng -D_THREAD_SAFE -D_REENTRANT -I/usr/local/include -I/usr/local/include/xfce4 -I/usr/local/include/gtk-2.0 -I/usr/local/include/pango-1.0 -I/usr/local/include/gio-unix-2.0/ -I/usr/local/include/gdk-pixbuf-2.0 -I/usr/local/include/cairo -I/usr/local/include/glib-2.0 -I/usr/local/include/pixman-1 -I/usr/local/include/freetype2 -I/usr/local/include/libpng -I/usr/local/include/atk-1.0 -I/usr/local/include/xfce4 -I/usr/local/include/glib-2.0 -I/usr/local/include/dbus-1.0 -I/usr/local/include/dbus-1.0/include -D_REENTRANT -I/usr/local/include/dbus-1.0 -I/usr/local/include/dbus-1.0/include -I/usr/local/include/glib-2.0 -O2 -pipe -march=nativ
 e -fno-strict-aliasing -o notification-daemon-xfce notification_daemon_xfce-daemon.o notification_daemon_xfce-engines.o notification_daemon_xfce-stack.o -pthread -pthread -pthread -pthread  -L/usr/local/lib /usr/local/lib/libxfcegui4.so /usr/local/lib/libSM.so /usr/local/lib/libICE.so /usr/local/lib/libstartup-notification-1.so /usr/local/lib/libxcb-util.so /usr/local/lib/libX11-xcb.so /usr/local/lib/libgtk-x11-2.0.so /usr/local/lib/libgdk-x11-2.0.so /usr/local/lib/libatk-1.0.so /usr/local/lib/libpangocairo-1.0.so /usr/local/lib/libXinerama.so /usr/local/lib/libXi.so /usr/local/lib/libXrandr.so /usr/local/lib/libXext.so /usr/local/lib/libXcursor.so /usr/local/lib/libXcomposite.so /usr/local/lib/libXdamage.so /usr/local/lib/libgdk_pixbuf-2.0.so /usr/local/lib/libpangoft2-1.0.so /usr/local/lib/libXfixes.so /usr/local/lib/libcairo.so /usr/local/lib/libpixman-1.so -lpng /usr/local/lib/libxcb-shm.so /usr/local/lib/libxcb-render.so /usr/local/lib/libXrender.so /usr/local/lib/libX11.so /us
 r/local/lib/libxcb.so /usr/local/lib/libXau.!
 so /usr/local/lib/libXdmcp.so /usr/local/lib/libpthread-stubs.so -lrpcsvc /usr/local/lib/libpango-1.0.so -lm /usr/local/lib/libfontconfig.so /usr/local/lib/libfreetype.so -lbz2 /usr/local/lib/libexpat.so /usr/local/lib/libxfce4util.so /usr/local/lib/libdbus-glib-1.so /usr/local/lib/libgio-2.0.so -lz /usr/local/lib/libgmodule-2.0.so /usr/local/lib/libdbus-1.so /usr/local/lib/libgobject-2.0.so /usr/local/lib/libgthread-2.0.so /usr/local/lib/libglib-2.0.so /usr/local/lib/libintl.so /usr/local/lib/libiconv.so /usr/local/lib/libpcre.so -Wl,--rpath -Wl,/usr/local/lib -Wl,--rpath -Wl,/usr/local/lib
/usr/bin/ld: warning: libpcre.so.0, needed by /usr/local/lib/libatk-1.0.so, may conflict with libpcre.so.1
gmake[4]: Leaving directory `/staging/usr/ports/deskutils/xfce4-notification-daemon/work/notification-daemon-xfce-0.3.7/src/daemon'
gmake[3]: Leaving directory `/staging/usr/ports/deskutils/xfce4-notification-daemon/work/notification-daemon-xfce-0.3.7/src/daemon'
Making all in themes
gmake[3]: Entering directory `/staging/usr/ports/deskutils/xfce4-notification-daemon/work/notification-daemon-xfce-0.3.7/src/themes'
Making all in standard
gmake[4]: Entering directory `/staging/usr/ports/deskutils/xfce4-notification-daemon/work/notification-daemon-xfce-0.3.7/src/themes/standard'
/bin/sh ../../../libtool --tag=CC   --mode=compile cc -DHAVE_CONFIG_H -I. -I../../.. -D_THREAD_SAFE -D_REENTRANT -I/usr/local/include/gtk-2.0 -I/usr/local/include/atk-1.0 -I/usr/local/include/cairo -I/usr/local/include/gdk-pixbuf-2.0 -I/usr/local/include/pango-1.0 -I/usr/local/include/gio-unix-2.0/ -I/usr/local/include -I/usr/local/include/glib-2.0 -I/usr/local/include/pixman-1 -I/usr/local/include/freetype2 -I/usr/local/include/libpng   -D_REENTRANT -D_THREAD_SAFE -I/usr/local/include -I/usr/local/include/pango-1.0 -I/usr/local/include/glib-2.0 -I/usr/local/include/gtk-2.0 -I/usr/local/lib/gtk-2.0/include -I/usr/local/include/atk-1.0 -I/usr/local/include/cairo -I/usr/local/include/gdk-pixbuf-2.0 -I/usr/local/include/gio-unix-2.0/ -I/usr/local/include/pixman-1 -I/usr/local/include/freetype2 -I/usr/local/include/libpng -I/usr/local/include/libxml2    -I/usr/local/include -L/usr/local/lib  -O2 -pipe -march=native -fno-strict-aliasing -MT theme.lo -MD -MP -MF .deps/theme.Tpo -c -o theme
 .lo theme.c
mkdir .libs
 cc -DHAVE_CONFIG_H -I. -I../../.. -D_THREAD_SAFE -D_REENTRANT -I/usr/local/include/gtk-2.0 -I/usr/local/include/atk-1.0 -I/usr/local/include/cairo -I/usr/local/include/gdk-pixbuf-2.0 -I/usr/local/include/pango-1.0 -I/usr/local/include/gio-unix-2.0/ -I/usr/local/include -I/usr/local/include/glib-2.0 -I/usr/local/include/pixman-1 -I/usr/local/include/freetype2 -I/usr/local/include/libpng -D_REENTRANT -D_THREAD_SAFE -I/usr/local/include -I/usr/local/include/pango-1.0 -I/usr/local/include/glib-2.0 -I/usr/local/include/gtk-2.0 -I/usr/local/lib/gtk-2.0/include -I/usr/local/include/atk-1.0 -I/usr/local/include/cairo -I/usr/local/include/gdk-pixbuf-2.0 -I/usr/local/include/gio-unix-2.0/ -I/usr/local/include/pixman-1 -I/usr/local/include/freetype2 -I/usr/local/include/libpng -I/usr/local/include/libxml2 -I/usr/local/include -L/usr/local/lib -O2 -pipe -march=native -fno-strict-aliasing -MT theme.lo -MD -MP -MF .deps/theme.Tpo -c theme.c  -fPIC -DPIC -o .libs/theme.o
 cc -DHAVE_CONFIG_H -I. -I../../.. -D_THREAD_SAFE -D_REENTRANT -I/usr/local/include/gtk-2.0 -I/usr/local/include/atk-1.0 -I/usr/local/include/cairo -I/usr/local/include/gdk-pixbuf-2.0 -I/usr/local/include/pango-1.0 -I/usr/local/include/gio-unix-2.0/ -I/usr/local/include -I/usr/local/include/glib-2.0 -I/usr/local/include/pixman-1 -I/usr/local/include/freetype2 -I/usr/local/include/libpng -D_REENTRANT -D_THREAD_SAFE -I/usr/local/include -I/usr/local/include/pango-1.0 -I/usr/local/include/glib-2.0 -I/usr/local/include/gtk-2.0 -I/usr/local/lib/gtk-2.0/include -I/usr/local/include/atk-1.0 -I/usr/local/include/cairo -I/usr/local/include/gdk-pixbuf-2.0 -I/usr/local/include/gio-unix-2.0/ -I/usr/local/include/pixman-1 -I/usr/local/include/freetype2 -I/usr/local/include/libpng -I/usr/local/include/libxml2 -I/usr/local/include -L/usr/local/lib -O2 -pipe -march=native -fno-strict-aliasing -MT theme.lo -MD -MP -MF .deps/theme.Tpo -c theme.c -o theme.o >/dev/null 2>&1
mv -f .deps/theme.Tpo .deps/theme.Plo
/bin/sh ../../../libtool --tag=CC   --mode=link cc  -O2 -pipe -march=native -fno-strict-aliasing -no-undefined -module -avoid-version  -o libstandard.la -rpath /usr/local/lib/xfce4/notification-daemon-xfce/engines theme.lo -pthread -L/usr/local/lib -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lpangocairo-1.0 -lXext -lXrender -lXinerama -lXi -lXrandr -lXcursor -lXcomposite -lXdamage -lgdk_pixbuf-2.0 -lpangoft2-1.0 -lgio-2.0 -lXfixes -lcairo -lX11 -lpango-1.0 -lm -lfreetype -lfontconfig -lgobject-2.0 -lgmodule-2.0 -lgthread-2.0 -lglib-2.0   -pthread -L/usr/local/lib -lsexy -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lpangocairo-1.0 -lXext -lXrender -lXinerama -lXi -lXrandr -lXcursor -lXcomposite -lXdamage -lgdk_pixbuf-2.0 -lpangoft2-1.0 -lgio-2.0 -lXfixes -lcairo -lX11 -lpango-1.0 -lm -lfreetype -lfontconfig -lgobject-2.0 -lgmodule-2.0 -lgthread-2.0 -lglib-2.0 -lxml2   
cc -shared  .libs/theme.o  -Wl,--rpath -Wl,/usr/local/lib -Wl,--rpath -Wl,/usr/local/lib -L/usr/local/lib /usr/local/lib/libsexy.so /usr/local/lib/libgtk-x11-2.0.so /usr/local/lib/libgdk-x11-2.0.so /usr/local/lib/libatk-1.0.so /usr/local/lib/libpangocairo-1.0.so /usr/local/lib/libXext.so /usr/local/lib/libXrender.so /usr/local/lib/libXinerama.so /usr/local/lib/libXi.so /usr/local/lib/libXrandr.so /usr/local/lib/libXcursor.so /usr/local/lib/libXcomposite.so /usr/local/lib/libXdamage.so /usr/local/lib/libgdk_pixbuf-2.0.so /usr/local/lib/libpangoft2-1.0.so /usr/local/lib/libgio-2.0.so /usr/local/lib/libXfixes.so /usr/local/lib/libcairo.so /usr/local/lib/libX11.so /usr/local/lib/libpango-1.0.so -lm /usr/local/lib/libfreetype.so /usr/local/lib/libfontconfig.so /usr/local/lib/libgobject-2.0.so /usr/local/lib/libgmodule-2.0.so /usr/local/lib/libgthread-2.0.so /usr/local/lib/libglib-2.0.so /usr/local/lib/libxml2.so  -march=native -pthread -pthread -Wl,-soname -Wl,libstandard.so -o .libs/libs
 tandard.so
ar cru .libs/libstandard.a  theme.o
ranlib .libs/libstandard.a
creating libstandard.la
(cd .libs && rm -f libstandard.la && ln -s ../libstandard.la libstandard.la)
gmake[4]: Leaving directory `/staging/usr/ports/deskutils/xfce4-notification-daemon/work/notification-daemon-xfce-0.3.7/src/themes/standard'
gmake[4]: Entering directory `/staging/usr/ports/deskutils/xfce4-notification-daemon/work/notification-daemon-xfce-0.3.7/src/themes'
gmake[4]: Nothing to be done for `all-am'.
gmake[4]: Leaving directory `/staging/usr/ports/deskutils/xfce4-notification-daemon/work/notification-daemon-xfce-0.3.7/src/themes'
gmake[3]: Leaving directory `/staging/usr/ports/deskutils/xfce4-notification-daemon/work/notification-daemon-xfce-0.3.7/src/themes'
Making all in settings
gmake[3]: Entering directory `/staging/usr/ports/deskutils/xfce4-notification-daemon/work/notification-daemon-xfce-0.3.7/src/settings'
cc -DHAVE_CONFIG_H -I. -I../.. -I../.. -DBINDIR=\"/usr/local/bin\" -DDATADIR=\"/usr/local/share\" -DPACKAGE_LOCALE_DIR=\"/usr/local/share/locale\"  -I/usr/local/include -L/usr/local/lib -D_THREAD_SAFE -D_REENTRANT -I/usr/local/include/gtk-2.0 -I/usr/local/include/atk-1.0 -I/usr/local/include/cairo -I/usr/local/include/gdk-pixbuf-2.0 -I/usr/local/include/pango-1.0 -I/usr/local/include/gio-unix-2.0/ -I/usr/local/include -I/usr/local/include/glib-2.0 -I/usr/local/include/pixman-1 -I/usr/local/include/freetype2 -I/usr/local/include/libpng   -I/usr/local/include/xfce4 -I/usr/local/include/glib-2.0   -D_THREAD_SAFE -D_REENTRANT -I/usr/local/include -I/usr/local/include/xfce4 -I/usr/local/include/gtk-2.0 -I/usr/local/include/pango-1.0 -I/usr/local/include/gio-unix-2.0/ -I/usr/local/include/gdk-pixbuf-2.0 -I/usr/local/include/cairo -I/usr/local/include/glib-2.0 -I/usr/local/include/pixman-1 -I/usr/local/include/freetype2 -I/usr/local/include/libpng -I/usr/local/include/atk-1.0   -I/usr/local
 /include/dbus-1.0 -I/usr/local/include/dbus-1.0/include   -D_REENTRANT -I/usr/local/include/dbus-1.0 -I/usr/local/include/dbus-1.0/include -I/usr/local/include/glib-2.0   -D_REENTRANT -I/usr/local/include -I/usr/local/include/gdk-pixbuf-2.0 -I/usr/local/include/glib-2.0 -I/usr/local/include/libpng   -O2 -pipe -march=native -fno-strict-aliasing -MT notification_settings-main.o -MD -MP -MF .deps/notification_settings-main.Tpo -c -o notification_settings-main.o `test -f 'main.c' || echo './'`main.c
LC_ALL=C ../../intltool-merge -d -u -c ../../po/.intltool-merge-cache ../../po notification-settings.desktop.in notification-settings.desktop
Generating and caching the translation database
Merging translations into notification-settings.desktop.
main.c: In function 'notification_settings_preview':
main.c:191: error: too many arguments to function 'notify_notification_new'
gmake[3]: *** [notification_settings-main.o] Error 1
gmake[3]: Leaving directory `/staging/usr/ports/deskutils/xfce4-notification-daemon/work/notification-daemon-xfce-0.3.7/src/settings'
gmake[2]: *** [all-recursive] Error 1
gmake[2]: Leaving directory `/staging/usr/ports/deskutils/xfce4-notification-daemon/work/notification-daemon-xfce-0.3.7/src'
gmake[1]: *** [all-recursive] Error 1
gmake[1]: Leaving directory `/staging/usr/ports/deskutils/xfce4-notification-daemon/work/notification-daemon-xfce-0.3.7'
gmake: *** [all] Error 2
*** Error code 1

Stop in /usr/ports/deskutils/xfce4-notification-daemon.
*** Error code 1

Stop in /usr/ports/deskutils/xfce4-notification-daemon.
Comment 1 Edwin Groothuis freebsd_committer 2012-05-27 00:30:26 UTC
Responsible Changed
From-To: freebsd-ports-bugs->ehaupt

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Emanuel Haupt 2012-05-29 08:26:05 UTC
I was just able to build it on 9.0 amd64:
http://people.freebsd.org/~ehaupt/buildlogs/xfce4-notification-daemon-0.3.7_15.log

Since your ports are all up to date my guess would be that you might
have old conflicting shared libraries installed.

You could try (requires: sysutils/bsdadminscripts, ports-mgmt/portmaster):

$ portmaster -y --check-depends
$ portmaster -y --check-port-dbdir
$ mv /usr/local/lib/compat/pkg /usr/local/lib/compat/pkg.orig
$ /etc/rc.d/ldconfig restart
$ pkg_libchk

sysutils/bsdadminscripts
ports-mgmt/portmaster

- rebuild all ports with missing libraries
- retry building deskutils/xfce4-notification-daemon
Comment 3 freebsd 2012-05-29 11:42:38 UTC
On 05/29/12 09:26, Emanuel Haupt wrote:
> I was just able to build it on 9.0 amd64:
> http://people.freebsd.org/~ehaupt/buildlogs/xfce4-notification-daemon-0.3.7_15.log
>
> Since your ports are all up to date my guess would be that you might
> have old conflicting shared libraries installed.
>
> You could try (requires: sysutils/bsdadminscripts, ports-mgmt/portmaster):
>
> $ portmaster -y --check-depends
> $ portmaster -y --check-port-dbdir
> $ mv /usr/local/lib/compat/pkg /usr/local/lib/compat/pkg.orig
> $ /etc/rc.d/ldconfig restart
> $ pkg_libchk
>
> sysutils/bsdadminscripts
> ports-mgmt/portmaster
>
> - rebuild all ports with missing libraries
> - retry building deskutils/xfce4-notification-daemon

Did all that, resolved a couple of 'old library issues' until pkg_libchk 
returned a clean bil of health.  Removed /usr/local/lib/compat/ entirely 
and re-ran 'ldconfig restart'. Removed /etc/make.conf to rule out any 
settings in there. Same problem, exact same place. Diff'ed my output 
against yours, and found nothing interesting. I included one more path 
(-I/usr/local/lib/gtk-2.0/include) that you didn't, but that was really 
all.

Is the very specific place where it keeps failing any hint at all?

main.c: In function 'notification_settings_preview':
main.c:191: error: too many arguments to function 'notify_notification_new'

----

Making all in settings
gmake[3]: Entering directory 
`/usr/ports/deskutils/xfce4-notification-daemon/work/notification-daemon-xfce-0.3.7/src/settings'
cc -DHAVE_CONFIG_H -I. -I../.. -I../.. -DBINDIR=\"/usr/local/bin\" 
-DDATADIR=\"/usr/local/share\" 
-DPACKAGE_LOCALE_DIR=\"/usr/local/share/locale\"  -I/usr/local/include 
-L/usr/local/lib -D_THREAD_SAFE -D_REENTRANT 
-I/usr/local/include/gtk-2.0 -I/usr/local/include/atk-1.0 
-I/usr/local/include/cairo -I/usr/local/include/gdk-pixbuf-2.0 
-I/usr/local/include/pango-1.0 -I/usr/local/include/gio-unix-2.0/ 
-I/usr/local/include -I/usr/local/include/glib-2.0 
-I/usr/local/include/pixman-1 -I/usr/local/include/freetype2 
-I/usr/local/include/libpng   -I/usr/local/include/xfce4 
-I/usr/local/include/glib-2.0   -D_THREAD_SAFE -D_REENTRANT 
-I/usr/local/include -I/usr/local/include/xfce4 
-I/usr/local/include/gtk-2.0 -I/usr/local/include/pango-1.0 
-I/usr/local/include/gio-unix-2.0/ -I/usr/local/include/gdk-pixbuf-2.0 
-I/usr/local/include/cairo -I/usr/local/include/glib-2.0 
-I/usr/local/include/pixman-1 -I/usr/local/include/freetype2 
-I/usr/local/include/libpng -I/usr/local/include/atk-1.0 
-I/usr/local/include/dbus-1.0 -I/usr/local/include/dbus-1.0/include 
-D_REENTRANT -I/usr/local/include/dbus-1.0 
-I/usr/local/include/dbus-1.0/include -I/usr/local/include/glib-2.0 
-D_REENTRANT -I/usr/local/include -I/usr/local/include/gdk-pixbuf-2.0 
-I/usr/local/include/glib-2.0 -I/usr/local/include/libpng   -O2 -pipe 
-fno-strict-aliasing -MT notification_settings-main.o -MD -MP -MF 
.deps/notification_settings-main.Tpo -c -o notification_settings-main.o 
`test -f 'main.c' || echo './'`main.c
LC_ALL=C ../../intltool-merge -d -u -c ../../po/.intltool-merge-cache 
../../po notification-settings.desktop.in notification-settings.desktop
Generating and caching the translation database
Merging translations into notification-settings.desktop.
main.c: In function 'notification_settings_preview':
main.c:191: error: too many arguments to function 'notify_notification_new'
gmake[3]: *** [notification_settings-main.o] Error 1
gmake[3]: Leaving directory 
`/usr/ports/deskutils/xfce4-notification-daemon/work/notification-daemon-xfce-0.3.7/src/settings'
gmake[2]: *** [all-recursive] Error 1
gmake[2]: Leaving directory 
`/usr/ports/deskutils/xfce4-notification-daemon/work/notification-daemon-xfce-0.3.7/src'
gmake[1]: *** [all-recursive] Error 1
gmake[1]: Leaving directory 
`/usr/ports/deskutils/xfce4-notification-daemon/work/notification-daemon-xfce-0.3.7'
gmake: *** [all] Error 2
*** Error code 1

Stop in /usr/ports/deskutils/xfce4-notification-daemon.
*** Error code 1

Stop in /usr/ports/deskutils/xfce4-notification-daemon.
Comment 4 freebsd 2012-05-29 11:57:08 UTC
On 05/29/12 09:26, Emanuel Haupt wrote:
> I was just able to build it on 9.0 amd64:
> http://people.freebsd.org/~ehaupt/buildlogs/xfce4-notification-daemon-0.3.7_15.log
>
> Since your ports are all up to date my guess would be that you might
> have old conflicting shared libraries installed.
>
> You could try (requires: sysutils/bsdadminscripts, ports-mgmt/portmaster):
>
> $ portmaster -y --check-depends
> $ portmaster -y --check-port-dbdir
> $ mv /usr/local/lib/compat/pkg /usr/local/lib/compat/pkg.orig
> $ /etc/rc.d/ldconfig restart
> $ pkg_libchk
>
> sysutils/bsdadminscripts
> ports-mgmt/portmaster
>
> - rebuild all ports with missing libraries
> - retry building deskutils/xfce4-notification-daemon

Note: after deleteing the xfce-notification package and removing all 
dependencies and dependecy options associated with it I did a final 
rebuild, re-installing all dependencies again, with default options.

Result:


Generating and caching the translation database
Merging translations into notification-settings.desktop.
main.c: In function 'notification_settings_preview':
main.c:191: error: too many arguments to function 'notify_notification_new'
gmake[3]: *** [notification_settings-main.o] Error 1
gmake[3]: Leaving directory 
`/staging/usr/ports/deskutils/xfce4-notification-daemon/work/notification-daemon-xfce-0.3.7/src/settings'
gmake[2]: *** [all-recursive] Error 1
gmake[2]: Leaving directory 
`/staging/usr/ports/deskutils/xfce4-notification-daemon/work/notification-daemon-xfce-0.3.7/src'
gmake[1]: *** [all-recursive] Error 1
gmake[1]: Leaving directory 
`/staging/usr/ports/deskutils/xfce4-notification-daemon/work/notification-daemon-xfce-0.3.7'
gmake: *** [all] Error 2
*** Error code 1

Stop in /usr/ports/deskutils/xfce4-notification-daemon.
*** Error code 1

Stop in /usr/ports/deskutils/xfce4-notification-daemon.

===>>> make failed for deskutils/xfce4-notification-daemon
===>>> Aborting update

Terminated
===>>> The following actions were performed:
	Installation of devel/libtool (libtool-2.4.2)
	Installation of textproc/libcroco (libcroco-0.6.2_1)
	Installation of x11-themes/gtk-engines2 (gtk-engines2-2.20.2)
	Installation of graphics/librsvg2 (librsvg2-2.34.1)
	Installation of misc/iso-codes (iso-codes-3.35)
	Installation of x11-toolkits/libsexy (libsexy-0.1.11_5)

===>>> Deleting installed build-only dependencies


===>>> You can restart from the point of failure with this command line:
        portmaster <flags> deskutils/xfce4-notification-daemon

-----

So, still no cigar.
Comment 5 Emanuel Haupt 2012-05-29 14:12:10 UTC
Could you please try the following patch:

--- patch begins here ---
Index: Makefile
===================================================================
RCS file: /home/pcvs/ports/deskutils/xfce4-notification-daemon/Makefile,v
retrieving revision 1.25
diff -u -r1.25 Makefile
--- Makefile    25 May 2012 16:52:29 -0000      1.25
+++ Makefile    29 May 2012 13:14:44 -0000
@@ -7,7 +7,7 @@
 
 PORTNAME=      notification-daemon
 PORTVERSION=   0.3.7
-PORTREVISION=  15
+PORTREVISION=  16
 CATEGORIES=    deskutils xfce
 MASTER_SITES=  CRITICAL/
 PKGNAMEPREFIX= xfce4-
Index: files/patch-src__settings__main.c
===================================================================
RCS file: files/patch-src__settings__main.c
diff -N files/patch-src__settings__main.c
--- /dev/null   1 Jan 1970 00:00:00 -0000
+++ files/patch-src__settings__main.c   29 May 2012 13:14:44 -0000
@@ -0,0 +1,12 @@
+--- ./src/settings/main.c.orig 2012-05-29 15:07:41.000000000 +0200
++++ ./src/settings/main.c      2012-05-29 15:08:08.000000000 +0200
+@@ -187,8 +187,7 @@
+   /* create new preview notification */
+   preview = notify_notification_new (_("Preview notification"),
+     _("Lorem Ipsum is simply dummy text of the printing and typesetting industry."),
+-      "notification-settings",
+-      NULL);
++      "notification-settings");
+ 
+   notify_notification_set_urgency (preview, NOTIFY_URGENCY_NORMAL);
+   notify_notification_set_category(preview, "preview");
--- patch ends here ---
Comment 6 freebsd 2012-05-29 14:50:41 UTC
That works, thanks. I'll leave it up to you whether this is a patch that 
should be incorporated into the port itself ;)


On 05/29/12 15:12, Emanuel Haupt wrote:
> Could you please try the following patch:
>
> --- patch begins here ---
> Index: Makefile
> ===================================================================
> RCS file: /home/pcvs/ports/deskutils/xfce4-notification-daemon/Makefile,v
> retrieving revision 1.25
> diff -u -r1.25 Makefile
> --- Makefile    25 May 2012 16:52:29 -0000      1.25
> +++ Makefile    29 May 2012 13:14:44 -0000
> @@ -7,7 +7,7 @@
>
>   PORTNAME=      notification-daemon
>   PORTVERSION=   0.3.7
> -PORTREVISION=  15
> +PORTREVISION=  16
>   CATEGORIES=    deskutils xfce
>   MASTER_SITES=  CRITICAL/
>   PKGNAMEPREFIX= xfce4-
> Index: files/patch-src__settings__main.c
> ===================================================================
> RCS file: files/patch-src__settings__main.c
> diff -N files/patch-src__settings__main.c
> --- /dev/null   1 Jan 1970 00:00:00 -0000
> +++ files/patch-src__settings__main.c   29 May 2012 13:14:44 -0000
> @@ -0,0 +1,12 @@
> +--- ./src/settings/main.c.orig 2012-05-29 15:07:41.000000000 +0200
> ++++ ./src/settings/main.c      2012-05-29 15:08:08.000000000 +0200
> +@@ -187,8 +187,7 @@
> +   /* create new preview notification */
> +   preview = notify_notification_new (_("Preview notification"),
> +     _("Lorem Ipsum is simply dummy text of the printing and typesetting industry."),
> +-      "notification-settings",
> +-      NULL);
> ++      "notification-settings");
> +
> +   notify_notification_set_urgency (preview, NOTIFY_URGENCY_NORMAL);
> +   notify_notification_set_category(preview, "preview");
> --- patch ends here ---
Comment 7 Emanuel Haupt 2012-05-29 15:05:28 UTC
"Ben C. O. Grimm" <freebsd@bengrimm.net> wrote:
> That works, thanks. I'll leave it up to you whether this is a patch
> that should be incorporated into the port itself ;)

Perfect! Looks like libnotify changed the API and your compiler was
more picky than mine. Just out of curiosity. Which gcc version are you
using (gcc -v)? Are you using any custom CFLAGS?

Does 'notify-send' work as expected (it should, since I simply ditched
the 4th NULL argument)? If so I'll commit the patch.

Emanuel
Comment 8 freebsd 2012-05-29 15:24:44 UTC
On 05/29/12 16:05, Emanuel Haupt wrote:
> "Ben C. O. Grimm"<freebsd@bengrimm.net>  wrote:
>> That works, thanks. I'll leave it up to you whether this is a patch
>> that should be incorporated into the port itself ;)
>
> Perfect! Looks like libnotify changed the API and your compiler was
> more picky than mine. Just out of curiosity. Which gcc version are you
> using (gcc -v)? Are you using any custom CFLAGS?
>
> Does 'notify-send' work as expected (it should, since I simply ditched
> the 4th NULL argument)? If so I'll commit the patch.
>
> Emanuel

$ gcc -v
Using built-in specs.
Target: amd64-undermydesk-freebsd
Configured with: FreeBSD/amd64 system compiler
Thread model: posix
gcc version 4.2.1 20070831 patched [FreeBSD]

---

BUT: I also have gcc-4.6.4.20120511 installed, and `pkg_info -R 
gcc-4.6.4.20120511` does show that libnotify-0.7.3_1 and 
xfce4-notification-daemon-0.3.7_15 (and others, see below) use it. I'm 
not quite sure why, because only www/chromium has a requirement 
(WITH_GCC46=true) in its options set. I'm usually pretty conservative 
when it comes to overruling the base system compiler, so I'm curious 
about this widespread dependency on GCC46, to be honest. Maybe some 
"inherited" option, or even a mandatory compiler for some of the ports. 
This may of course obviate the need to patch after all ;)

Other than that: no CFLAGS at all, error happened with and without a 
make.conf in place.

notify-send prints a pop-up window, as expected.


Full output of $ pkg_info -R gcc-4.6.4.20120511 

Information for gcc-4.6.4.20120511:

Required by:
dconf-0.5.1_3
farsight2-0.0.22
filezilla-3.5.3
firefox-12.0,1
gconf2-2.32.0_2
geeqie-1.0_4
gqview-2.0.4_12
gtkspell-2.0.16_3
gvfs-1.6.6_2
icons-buuf-1.6r2_5
icons-tango-0.8.90_1
icons-tango-extras-0.1.0_4
libcanberra-0.28_1
libglade2-2.6.4_4
libgnome-keyring-2.32.0_1
libgsf-1.14.21
libnotify-0.7.3_1
libsoup-gnome-2.34.3_1
libwnck-2.30.6
mbpurple-0.3.0_1
mplayer-1.0.r20120322_1
nspluginwrapper-1.4.4
nvidia-settings-295.40
p5-URI-1.60
putty-0.62
py27-gtk-2.24.0
roxterm-2.2.2
thunderbird-12.0.1
vte-0.26.2_1
wxgtk2-common-2.8.12
wxgtk2-unicode-2.8.12
zenity-2.32.1_1
libpurple-2.10.4
pidgin-2.10.4
pidgin-privacy-please-0.7.1_1
xfce4-tumbler-0.1.25
libexo-0.8.0
xfce4-panel-4.10.0
Thunar-1.4.0
libxfce4gui-4.10.0
thunar-vfs-1.2.0_1
squeeze-0.2.3_3
xfce4-desktop-4.10.0
xfce4-mixer-4.8.0_1
xfce4-session-4.10.0
xfce4-settings-4.10.0
xfce4-wm-4.10.0
xfce-4.10
xfce4-battery-plugin-1.0.4
xfce4-screenshooter-plugin-1.8.0_1
p5-HTTP-Message-6.03_1
p5-HTTP-Cookies-6.01
p5-HTTP-Daemon-6.01
p5-HTTP-Negotiate-6.01
p5-WWW-RobotRules-6.02
p5-libwww-6.04
xscreensaver-5.15
chromium-19.0.1084.52
Terminal-0.4.8
mousepad-0.2.16_9
thunar-media-tags-plugin-0.2.0
xfce4-print-4.6.1_7
librsvg2-2.34.1
xfce4-notification-daemon-0.3.7_15
Comment 9 dfilter service freebsd_committer 2012-05-29 15:35:01 UTC
ehaupt      2012-05-29 14:34:47 UTC

  FreeBSD ports repository

  Modified files:
    deskutils/xfce4-notification-daemon Makefile 
  Added files:
    deskutils/xfce4-notification-daemon/files 
                                              patch-src__settings__main.c 
  Log:
  Provide a patch to chase a libnotify api change.
  
  PR:             168355 (based on)
  Submitted by:   Ben Grimm <freebsd@bengrimm.net>
  
  Revision  Changes    Path
  1.26      +1 -1      ports/deskutils/xfce4-notification-daemon/Makefile
  1.1       +12 -0     ports/deskutils/xfce4-notification-daemon/files/patch-src__settings__main.c (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 10 Emanuel Haupt freebsd_committer 2012-05-29 15:35:05 UTC
State Changed
From-To: open->closed

Patch committed, thanks for the bug report.